We will be migrating from Ask to Discourse on the first week of August, read the details here

Ask Your Question
0

libreoffice4.2,4.3,4.4 couldn't boot on fedora32 and 33

asked 2021-05-13 09:46:23 +0200

zenkato gravatar image

updated 2021-05-16 13:23:07 +0200

Alex Kemp gravatar image

I downloaded libreoffice4.2(4.2.7.2,4.2.8.2,4.3.7.2,4.4.7.2)-x86-64.rpm.tar.gz from archive, and did

[zenkato@p5b program]$ ./soffice

the image comes up, but it disappears quickly, and it couldn't boot.

The other versions from x86-64.rpm.tar.gz could boot on fedora32 and 33.

libreoffice3.6.7.2 some warning but could boot.

libreoffice5(5.0.6.3,5.1.6.2,5.2.7.2,5.3.7.2,5.4.7.2) some errors but could boot.

libreoffice6(6.0.7.3,6.1.6.3,6.2.8.2,6.3.6.2) some errors but could boot.

libreoffice7(7.1.7.2)some error but could boot

only version 4.2 couldn't boot! why?

[zenkato@p5b ~]$ uname -r

5.11.17-200.fc33.x86_64

[zenkato@p5b ~]$ java -version

openjdk version "1.8.0_292"

OpenJDK Runtime Environment (build 1.8.0_292-b10)

OpenJDK 64-Bit Server VM (build 25.292-b10, mixed mode)

edit retag flag offensive close merge delete

Comments

What is your specific purpose for installing outdated and retired version?

ajlittoz gravatar imageajlittoz ( 2021-05-13 09:50:47 +0200 )edit

why?

Likely because there was some problem with this combination. Is this a satisfactory answer? Otherwise do you expect that someone tries to reproduce this, and starts investigating what is absolutely not needed to everyone except a single person in the world, and knowing which would not benefit anyone in the future (because the problem is obviously fixed long ago)? ;-P Please be reasonable and consider how relevant such a question might be.

Mike Kaganski gravatar imageMike Kaganski ( 2021-05-13 10:05:46 +0200 )edit

2 Answers

Sort by » oldest newest most voted
0

answered 2021-05-13 19:26:05 +0200

erAck gravatar image

updated 2021-05-14 19:45:34 +0200

Check if some library is missing that version needs, i.e. preset LD_LIBRARY_PATH correctly like it's done in the /opt/libreoffice/program/soffice startup script and execute

ldd /opt/libreoffice/program/soffice.bin

(or wherever that version's soffice.bin was installed to) and watch out for missing objects reports.

Update:

If you really needto get such an old 4.x version working and the provided pre-build doesn't work on a modern distribution, then you could obtain the source and compile it yourself. See https://www.libreoffice.org/about-us/...

edit flag offensive delete link more
0

answered 2021-05-14 01:14:38 +0200

zenkato gravatar image

Blockquote[zenkato@p5b program]$ ldd soffice.bin linux-vdso.so.1 (0x00007ffd3db73000) libuno_sal.so.3 => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libuno_sal.so.3 (0x00007fab2beb3000) libsofficeapp.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libsofficeapp.so (0x00007fab2bc3e000) libc.so.6 => /lib64/libc.so.6 (0x00007fab2ba45000) libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fab2ba23000) libdl.so.2 => /lib64/libdl.so.2 (0x00007fab2ba1c000) librt.so.1 => /lib64/librt.so.1 (0x00007fab2ba0f000) libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fab2b827000) libm.so.6 => /lib64/libm.so.6 (0x00007fab2b6e1000) libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fab2b6c6000) libcomphelper.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libcomphelper.so (0x00007fab2b33a000) libuno_cppu.so.3 => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libuno_cppu.so.3 (0x00007fab2b108000) libuno_cppuhelpergcc3.so.3 => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x00007fab2ae27000) libdeploymentmisclo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libdeploymentmisclo.so (0x00007fab2abf6000) libi18nlangtag.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libi18nlangtag.so (0x00007fab2a9b6000) libuno_salhelpergcc3.so.3 => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00007fab2a7af000) libsfxlo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libsfxlo.so (0x00007fab2a06b000) libsvllo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libsvllo.so (0x00007fab29d4e000) libsvtlo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libsvtlo.so (0x00007fab29767000) libtklo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libtklo.so (0x00007fab29175000) libtllo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libtllo.so (0x00007fab28ef9000) libucbhelper.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libucbhelper.so (0x00007fab28c79000) libutllo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libutllo.so (0x00007fab2893d000) libvcllo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libvcllo.so (0x00007fab280bc000) /lib64/ld-linux-x86-64.so.2 (0x00007fab2c117000) libicuuc.so.52 => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./libicuuc.so.52 (0x00007fab27d42000) libreglo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libreglo.so (0x00007fab27b27000) libunoidllo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib/libunoidllo.so (0x00007fab278c5000) libxmlreaderlo.so => /home/zenkato/Downloads/libreoffice/LibreOffice_4.2.8.2_Linux_x86-64_rpm/RPMS/install/opt/libreoffice4.2/program/./../ure-link/lib ...

(plus)
edit flag offensive delete link more

Comments

Please do not use the Answer field if not an answer to the original question, edit your question instead to provide further details. Or add a comment for a short notice. Thanks.

Deleting the answer when having done so would be welcome.

(And a full list of all positive hits is not necessary, nobody is going to read this flow text).

erAck gravatar imageerAck ( 2021-05-14 19:40:48 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2021-05-13 09:46:23 +0200

Seen: 70 times

Last updated: May 14